class ParkingSpace {
  String? bayId;
  String? stMarkerId;
  String? status;
  Location? location;
  String? lat;
  String? lon;

  ParkingSpace(
      {required this.bayId,
      required this.stMarkerId,
      required this.status,
      required this.location,
      required this.lat,
      required this.lon});

  ParkingSpace.fromJson({required Map<String, dynamic> json}) {
    bayId = json['bay_id'];
    stMarkerId = json['st_marker_id'];
    status = json['status'];
    location = (json['location'] != null
        ? Location.fromJson(json['location'])
        : null)!;
    lat = json['lat'];
    lon = json['lon'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['bay_id'] = bayId;
    data['st_marker_id'] = stMarkerId;
    data['status'] = status;
    if (location != null) {
      data['location'] = location!.toJson();
    }
    data['lat'] = lat;
    data['lon'] = lon;
    return data;
  }
}

class Location {
  String? latitude;
  String? longitude;
  String? humanAddress;

  Location(
      {required this.latitude,
      required this.longitude,
      required this.humanAddress});

  Location.fromJson(Map<String, dynamic> json) {
    latitude = json['latitude'];
    longitude = json['longitude'];
    humanAddress = json['human_address'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['latitude'] = latitude;
    data['longitude'] = longitude;
    data['human_address'] = humanAddress;
    return data;
  }
}
